% RBC model from Erik Sims' lecture notes:
% http://www3.nd.edu/~esims1/using_dynare_sp16.pdf

var y I k a c w R r;

varexo e;

parameters alpha beta delta rho sigma sigmae;

load param_rbc;
set_param_value('alpha',alpha);
set_param_value('beta',beta);
set_param_value('sigma',sigma);
set_param_value('delta',delta);
set_param_value('rho',rho);
set_param_value('sigmae',sigmae);

model;

exp(c)^(-sigma) = beta * exp(c(+1))^(-sigma) * (alpha * exp(a(+1)) * exp(k)^(alpha-1) + (1- delta ));
exp(y) = exp(a) * exp(k(-1))^(alpha);
exp(k) = exp(a) * exp(k(-1))^(alpha) - exp(c) + (1- delta ) * exp(k(-1));
a = rho * a(-1) + e;
exp(y) = exp(c) + exp(I);
exp(c)^(-sigma) = beta * exp(c(+1))^(-sigma) * (1+r);
exp(R) = alpha * exp(a) * exp(k(-1))^(alpha-1);
exp(w) = (1-alpha) * exp(a) * exp(k(-1))^(alpha);

end;

shocks;
var e = sigmae^2;
end;

steady;

stoch_simul(order=1,irf=20);